installazione di Xfce4.2

Problemi con l'installazione di Debian...

installazione di Xfce4.2

Messaggioda iko00 » 03/02/2005, 11:12

Ciao a tutti...sto cercando di compilare i sorgenti di xfce 4.2...mi trovo in difficoltà...
- Quali pacchetti base bisogna installare, oltre naturalmente quelli raccomandati in www.xfce.org ?

- Devo utilizzare i pacchetti dev ?

- Mi consigliate di installare pkgconfig.deb ho di compilarlo ?

Grazie a tutti per la vostra attenzione... :-D
:pint:
iko00
Full Member
Full Member
 
Messaggi: 209
Iscritto il: 03/02/2005, 4:38
Località: Bellaria-Igea-Marina (RN)

Re: installazione di Xfce4.2

Messaggioda debian » 03/02/2005, 11:26

ciao e benvenuto , per installare xfce puoi tranquillamente usare apt-get seguento questa guida , è davvero facilissimo , se hai problemi non esitare a postare.

ps occhio quando invii i post il secondo lo cancello.
debian
 

Re: installazione di Xfce4.2

Messaggioda iko00 » 03/02/2005, 11:56

Grazie per la tua attenzione...però forse è meglio che spieghi la mia situazione ( che maleducato che sono :-P )
Dunque ...non vorrei scaricarli dalla rete perchè la mia connessione viaggia ancora a 56k..ho provato a scaricarli dall' uffico ( 100MB :-D )...ma mi dice che non riesce a risolvere alcune dipendenze ( se riesci ad indicarmi l'elenco esatto dei pacchetti..magari potrei riprovare ..)....quindi ho deciso di scaricarmi i sorgenti da xfce-4.2 ( e qui sono cominciati i miei guai :sboing: )

- Ho creato una directory sotto root dove ho scompattato
i pacchetti.
- Sono entrato nella dir del primo pacchetto...ho digitato ./configure ed il risultato è stato questo :

. . . . checking for pkg-config... /usr/bin/pkg-config
checking for libgnome-2.0 >= 2.0.0
libgnomeui-2.0 >= 2.0.0
gtk+-2.0 >= 2.0.0... Package libgnome-2.0 was not
found in the pkg-config search path.
Perhaps you should add the directory containing `libgnome-2.0.pc'
to the PKG_CONFIG_PATH environment variable
No package 'libgnome-2.0' found

configure: error: Library requirements (libgnome-2.0 >= 2.0.0
libgnomeui-2.0 >= 2.0.0
gtk+-2.0 >= 2.0.0) not met; consider adjusting the
PKG_CONFIG_PATH environment variable if your libraries are in a
nonstandard prefix so pkg-config can find them.

Ma io le lib di cui sopra....le ho installate !...non in versione dev però...
Inoltre la mia versione di pkgconfig non è stata installata da un pacchetto deb.
Ho provato anche a variare PKG_CONFIG_PATH !!!

Dunque se non ti sei addormentato...puoi comprendere che è una questione di principio...oramai.
Voglio compilarlo...anche perchè penso che sia un modo per imparare cose nuove :-D
:pint:
iko00
Full Member
Full Member
 
Messaggi: 209
Iscritto il: 03/02/2005, 4:38
Località: Bellaria-Igea-Marina (RN)

Re: installazione di Xfce4.2

Messaggioda debian » 03/02/2005, 12:26

no tranquillo non mi sono addormentato :-D guarda ti comprendo in pieno , io sono connesso con gprs e ho usato apt , perchè inserendo quei repository trova anche le dipendenze , ho provato anche io a compilare da sorgenti ma senza risultato , nemmeno ora che lo apt-gettato ne vuole sapere di installarsi da sorgenti , nemmeno settanto il patch dove cerca le libs , quindi io ora passo la palla , se qualcuno lo ha compilato da sorgenti magari potrà aiutarti.
debian
 

Re: installazione di Xfce4.2

Messaggioda MaXeR » 03/02/2005, 13:29

beh...
per compilare da sorgenti servono le librerie -dev, senza di quelle il ./configure non andra' mai a buon fine...
il mio consiglio e' quello di andare sul sito di os-cillation (link) e scaricare l'ultima versione!

ciau e facci sapere :s6:
http://leevee.it - Leevee Soluzioni Informatiche
Avatar utente
MaXeR
Administrator
Administrator
 
Messaggi: 3576
Iscritto il: 22/12/2004, 17:01
Località: Garda - VR

Re: installazione di Xfce4.2

Messaggioda iko00 » 03/02/2005, 16:50

Ok per i pacchetti -dev...ma ti riferisci ad Xfce-4.2 o alle libreria che lui richiede per compilarlo ?
I pacchetti di xfce-4.2..ecc..-dev.deb non sono riuscito a trovarli :sboing: ...mentre per quanto riguarda le lib penso non ci siano problemi....anche se non sono sicuro che nei cd di debian sarge ci siano le gtk+-2.2 e tutto il contorno ( pango...ecc..)... :sboing:
:pint:
iko00
Full Member
Full Member
 
Messaggi: 209
Iscritto il: 03/02/2005, 4:38
Località: Bellaria-Igea-Marina (RN)

Re: installazione di Xfce4.2

Messaggioda MaXeR » 03/02/2005, 18:36

parlavo delle librerie -dev...quelle che lui richiede come dipendenza per la compilazione...

una cosa, potresti scaricarti, dal sito che ti ho indicato prima o da quello ufficiale debian, i sorgenti pacchettizzati debian, così riesci a creare il pkg .deb e non ti 'sporchi' il sistema operativo...

comunque, xfce non dovrebbe esere gigantesco e, con al massimo 2 ore di connessione, dovresti riuscire a scaricarlo completamente...

ciauu
http://leevee.it - Leevee Soluzioni Informatiche
Avatar utente
MaXeR
Administrator
Administrator
 
Messaggi: 3576
Iscritto il: 22/12/2004, 17:01
Località: Garda - VR

Re: installazione di Xfce4.2

Messaggioda debian » 03/02/2005, 19:23

guarda io con gprs che equivale ad una connessione a 56k ci ho messo un oretta e mezzo sia a scaricare i .deb che i sorgenti.
debian
 

Re: installazione di Xfce4.2

Messaggioda iko00 » 04/02/2005, 8:58

Grazie mille per il vostro aiuto ( e supporto morale :-) )...per il momento sono deciso più che mai a compilarlo...pensate che debba installare anche libncurses5-dev ?..Questo week end spero di effettuare il tutto... :rtfm:
:pint:
iko00
Full Member
Full Member
 
Messaggi: 209
Iscritto il: 03/02/2005, 4:38
Località: Bellaria-Igea-Marina (RN)

Re: installazione di Xfce4.2

Messaggioda iko00 » 14/02/2005, 10:05

.....Sono riuscito a risolvere la situazione ....sono un nuovo utente xfce4.2....ma sono triste.....vorrei sfogarmi perchè la mia vicenda mi ha fatto capire alcune cose...

Comunque per la cronaca dovevo installare le libglib2.0 >= 2.6.0....che naturalmente sono già installate per chi usa un altro desktop come KDE o GNOME....ma non per chi come me partiva da un sistema base....

Per quanto riguarda il resto, spero di poter postare tutto il mio rammarico il prima possibile....penso che il mondo linux dovrebbe essere più chiaro per chi comincia !!!
:pint:
iko00
Full Member
Full Member
 
Messaggi: 209
Iscritto il: 03/02/2005, 4:38
Località: Bellaria-Igea-Marina (RN)

Re: installazione di Xfce4.2

Messaggioda MaXeR » 14/02/2005, 10:30

Beh...
dipende sempre da cosa vuoi fare...
la compilazione da sorgenti non è una cosa da fare all'inizio...
in quanto prevede una conoscenza un po' più approfondita del sistema ed, eventualmente, del sistema di gestione delle librerie da parte della distribuzione...

aspetto il tuo post per questa discussione, che sicuramente porterà in luce aspetti utili sia ai novizi che agli sviluppatori! :-D

buona giornata!!!
http://leevee.it - Leevee Soluzioni Informatiche
Avatar utente
MaXeR
Administrator
Administrator
 
Messaggi: 3576
Iscritto il: 22/12/2004, 17:01
Località: Garda - VR


Torna a Installazione

Chi c’è in linea

Visitano il forum: Nessuno e 7 ospiti

cron